scim::DefaultMarshal< bool > Class Reference
SignalSlot

`#include <scim_signals.h>`

## Public Types

typedef bool | OutType
typedef bool | InType

## Public Member Functions

| DefaultMarshal ()
OutType & | value ()
bool | marshal (const InType &newval)

## Member Typedef Documentation

## OutType

typedef bool scim::DefaultMarshal< bool >::OutType

## InType

typedef bool scim::DefaultMarshal< bool >::InType

## Constructor & Destructor Documentation

## DefaultMarshal()

scim::DefaultMarshal< bool >::DefaultMarshal | ( |  | ) |

inline

## Member Function Documentation

## value()

OutType & scim::DefaultMarshal< bool >::value | ( |  | ) |

inline

## marshal()

bool scim::DefaultMarshal< bool >::marshal | ( | const InType & | newval | ) |

inline

The documentation for this class was generated from the following file:

- scim_signals.h